Summary:	PySol provides several solitaire card games
Name:		pysol
Version:	4.72
Release:	2mdk
License:	GPL
Group:		Games/Cards
URL:		http://pysol.tsx.org

Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%_tmppath/%name-%version-%release-root
Requires:	tkinter >= 1.5.2
BuildRequires:	ImageMagick, perl
BuildArch:	noarch

%description
PySol has several solitaire card games, written in 100%% pure
Python. It has many features: unlimited undo and redo, load & save
games, player statistics, hint system, game plug-ins, and more!
Contains: klondike, freecel, spider, golf, etc.

%prep
%setup -q

%build

%install
rm -fr %buildroot
make prefix=$RPM_BUILD_ROOT/usr install-bin install-data install-man mandir=$RPM_BUILD_ROOT/%{_mandir}
perl -pi -e "s%$RPM_BUILD_ROOT/usr%/usr%" $RPM_BUILD_ROOT/usr/bin/pysol


# Menu support
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%{name}): needs=gnome section=Amusement/Cards title=PySOL command="NO_XALF pysol" icon=cards_section.xpm longtitle="All solitaire cards games"
?package(%{name}): needs=x11 section=Amusement/Cards title=PySOL command=pysol icon=cards_section.xpm longtitle="All solitaire cards games"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root,root)
%dir %{_datadir}/pysol
%{_datadir}/pysol/*
%{_bindir}/pysol
%{_mandir}/man6/pysol.6*
%{_menudir}/*

%post
%{update_menus}

%postun
%{clean_menus} 

%changelog
* Tue Sep 11 2001 David BAUDENS <baudens@mandrakesoft.com> 4.72-2mdk
- Use new icons

* Fri Jun  1 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.72-1mdk
- 4.72

* Mon May  7 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.71-1mdk
- 4.71

* Thu Apr 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 4.70-2mdk
- Correct GNOME menu entry

* Tue Mar  6 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.70-1mdk
- 4.70

* Thu Dec  7 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.60-4mdk
- corrected menu entry.

* Thu Oct 05 2000 Daouda Lo <daouda@mandrakesoft.com> 4.60-3mdk
- provide ln icons 
- macroz++

* Wed Sep 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.60-2mdk
- changed dependency from python to tkinter.

* Wed Aug 16 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.60-1mdk
- 4.60

* Tue Jul  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.41-1mdk
- 4.41

* Thu Apr 20 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.10-1mdk
- first mandrake version.

* Wed Jun 30 1999 Rodrigo Parra Novo <rodarvus@conectiva.com>
- Fixed a bug in the directory where the pixmap was being put

* Thu Jun 10 1999 Conectiva <dist@conectiva.com>
- Recompiled with glibc 2.1.x, egcs 1.1.x, rpm 3.0.x and kernel 2.2.x

* Sat Jun 05 1999 Wanderlei Antonio Cavassin <cavassin@conectiva.com>
- updated to 2.14

* Thu Mar 18 1999 Conectiva <dist@conectiva.com>
- i18n wmconfig
- added Group, Summary and %description translations

* Fri Mar 12 1999 Wanderlei Antonio Cavassin <cavassin@conectiva.com>
- initial package
